Springen naar inhoud


- - - - -
VS 2015

Vb.net Vs2019 Setup Werkt Niet!

VS2015

  • Log in a.u.b. om te beantwoorden
Er zijn 1 reacties in dit onderwerp

#1 vbibHollie

vbibHollie

    Starting Developer

  • Leden
  • 7 berichten
    Laatst bezocht 03 jul 2022 13:33

Geplaatst op 01 september 2021 - 17:42

Beste lezer,

Ik gebuik VS 2019 om VB.Net programma's te maken. Daarnaast gebruik ik de MS VS Installer Project om setup bestanden voor mijn programma's te maken.
Alles werkte altijd goed, maar blijkbaar na een update van VS Community loopt het mis.
- Als ik van een al lang terug gemaakt, werkend programma de SetUp build is er niets aan de hand.
Er staan in de Apllication Folder van het Setup programma
  • Content Files
  • Primary Output
  • system.net.http.dll
  • Runtime Implementation from "programma"
  • programma-icon
Als ik nu een nieuw programma (werken, getest, release en debug) bouw en de Setup erna maak, krijk ik in de Application Folder geen
mogelijkheid om de Runtime Implementation toe te voegen. De setup werkt wel, alleen de output wordt een DLL en geen EXE en kan niet gestart worden in Windows.

Het valt me wel op dat het eerste programma Net Core 4.7.2 gebruikt.
In mijn nieuwe programma kan ik alleen Net Core 3.0 of 5.0 kiezen. (ook al kies ik er ier voor om een andere (oudere versie) 4.7.2 te installeren.
Ik weet niet of dit met het eerste probleem te maken heeft.
Ook valt het me op dat na bijna elke build/rebuild de foutmelding komt dat "form1" niet aangetroffen is. Ik moet in de code van de bewuste foute regel hier handmatig dan de naam van mijn MainForm invullen. (FrmMain in mijn geval)

Alle instellingen lijken mij verder hetzelfde als het (eerder genoemde) werkende programma en setup. Op de Net Core Na.

Bijgevoegde Bestanden



#2 dirka

dirka

    Guru Developer

  • Leden
  • PipPipPipPipPipPip
  • 1241 berichten
    Laatst bezocht
  • LocatieAlvorninha, Portugal

Geplaatst op 05 september 2021 - 16:52

Bericht bekijkenvbibHollie, op 01 september 2021 - 17:42, zei:

Het valt me wel op dat het eerste programma Net Core 4.7.2 gebruikt.
In mijn nieuwe programma kan ik alleen Net Core 3.0 of 5.0 kiezen. (ook al kies ik er ier voor om een andere (oudere versie) 4.7.2 te installeren.

NET Core 4.7.2 bestaat niet: dat is .NET Framework (Windows only).
Je "oude" programma's zijn dus .NET Framework en je nieuwe zijn .NET Core.
Dat is niet hetzelfde.

1) .NET Framework Project. (Windows Forms App)
Bijlage  Schermafbeelding 2021-09-05 164511.png   19,59K   1 downloads

Bijlage  Schermafbeelding 2021-09-05 163919.png   35,82K   1 downloads


2) .NET Core Project (Windows Forms App)
Bijlage  Schermafbeelding 2021-09-05 164440.png   14,28K   1 downloads





Ook met taq VS 2015, VS2015 voorzien

0 gebruiker(s) lezen dit onderwerp

0 lid(leden), 0 bezoeker(s), 0 anonieme gebruikers

Inloggen


[VS 2015] Untitled 1

Met dank aan Jürgen voor de jarenlange inzet van visualbasic.be (anno dec 2000)
Met dank aan Mike en Ronneke voor de jarenlange inzet van vbib.be (anno dec 2010)
Met dank aan PascalBianca voor de jarenlange inzet van vbib.be (anno dec 2016)